#
# spec file for package python-lesscpy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-lesscpy
Version:        0.12.0
Release:        lp151.2.2
Summary:        Lesscss compiler
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/robotis/lesscpy
Source:         https://files.pythonhosted.org/packages/source/l/lesscpy/lesscpy-%{version}.tar.gz
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module ply}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-ply
Requires:       python-six
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(postun):  update-alternatives
%python_subpackages

%description
python LessCss Compiler.

A compiler written in python 3 for the lesscss language.
For those of us not willing/able to have node.js installed in our environment.
Not all features of lesscss are supported (yet).
Some features wil probably never be supported (JavaScript evaluation).
This program uses PLY (Python Lex-Yacc) to tokenize/parse the input.

%prep
%setup -q -n lesscpy-%{version}
# remove failing tests, which rely on find_and_load_cases
rm test/test_{bootstrap3,less,issues}.py

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/lesscpy

%post
%python_install_alternative lesscpy

%postun
%python_uninstall_alternative lesscpy

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%python_alternative %{_bindir}/lesscpy
%{python_sitelib}/lesscpy
%{python_sitelib}/lesscpy-%{version}-py*.egg-info

%changelog
* Thu Aug 31 2017 toddrme2178@gmail.com
- update to 0.12.0
  * no changelog available
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Mon Aug 15 2016 toddrme2178@gmail.com
- Fix update-alternatives implementation.
* Thu May  7 2015 benoit.monin@gmx.fr
- update to 0.10.2:
  * no changelog available
- add python-setuptools and python-six as build dependencies
- add python-coverage, python-flake8 and python-nose as test
  dependencies
- add python-six as runtime dependency
- remove some failing tests which rely on find_and_load_cases
- run the tests via setup.py
- fix alternatives for lesscpy binary
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashism in pre script
* Mon Aug 12 2013 speilicke@suse.com
- Update to version 0.9j
  + Support for SVG stylesheets
  + Increased lessc compatibility
  + Many testing improvements
- Use update-alternatives
* Wed Jul 17 2013 speilicke@suse.com
- Update to version 0.9h
- Run testsuite
* Wed Feb 29 2012 saschpe@suse.de
- Initial version
